# Uses of Class
org.sunflow.core.Instance

Packages that use Instance
Package
Description
org.sunflow.core
org.sunflow.core.light
org.sunflow.core.primitive

## Uses of Instance in org.sunflow.core

Methods in org.sunflow.core that return Instance
Modifier and Type
Method
Description
`Instance`
LightSource.`createInstance()`
Create an instance which represents the geometry of this light source.
`static Instance`
Instance.`createTemporary(PrimitiveList primitives, Matrix4 transform, Shader shader)`
`final Instance`
ShadingState.`getInstance()`
Get the instance which was intersected
Methods in org.sunflow.core with parameters of type Instance
Modifier and Type
Method
Description
`void`
Scene.`setBakingInstance(Instance instance)`
The provided instance will be considered for lightmap baking.
`void`
Scene.`setInstanceLists(Instance[] instances, Instance[] infinite)`
Update the instance lists for this scene.

## Uses of Instance in org.sunflow.core.light

Methods in org.sunflow.core.light that return Instance
Modifier and Type
Method
Description
`Instance`
DirectionalSpotlight.`createInstance()`
`Instance`
ImageBasedLight.`createInstance()`
`Instance`
PointLight.`createInstance()`
`Instance`
SphereLight.`createInstance()`
`Instance`
SunSkyLight.`createInstance()`
`Instance`
TriangleMeshLight.`createInstance()`

## Uses of Instance in org.sunflow.core.primitive

Methods in org.sunflow.core.primitive that return Instance
Modifier and Type
Method
Description
`Instance`
CornellBox.`createInstance()`